CopyHero

Rotate Outbound Webhook Secret

POST
/api/v1/webhooks/outbound/{endpoint_id}/rotate-secret

Rotate the signing secret. The new secret is returned only in this response.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

endpoint_id*Endpoint Id
Match^[A-Za-z0-9_-]+$
Lengthlength <= 64

Request Body

application/json
  1. body
secret?|

Optional whsec_ secret.

Response Body

Successful Response

application/json
  1. response
secret*Secret

Signing secret; shown only in this response.

Example Request
curl -X POST 'https://app.copyhero.app/api/v1/webhooks/outbound/string/rotate-secret' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "secret": "string"}